Subject: Re: bug#37889: [PATCH] Remove obsolete doc references to XEmacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Oct 2019 21:56:01 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 23 Oct 2019 16:41:22 +0200
> 
> There are a few references in various doc strings and comments which I
> think will confuse users and make maintaining Emacs harder for no
> gain.
> 
> The attached patch removes most of them.  Any objections to any of this?

I object to the likes of this:

> --- a/doc/misc/pcl-cvs.texi
> +++ b/doc/misc/pcl-cvs.texi
> @@ -185,12 +185,6 @@ Contributors
>  Linus Tolke contributed useful comments
>  on both the functionality and the documentation.
>  
> -@item
> -@c jwz@@jwz.com
> -Jamie Zawinski contributed
> -@file{pcl-cvs-lucid.el}, which was later renamed to
> -@file{pcl-cvs-xemacs.el}.
> -
>  @item
>  Leif Lonnblad contributed RCVS support (since superseded by the new
>  remote CVS support).
> @@ -215,9 +209,8 @@ Contributors
>  
>  @item
>  @c greg.klanderman@@alum.mit.edu
> -Greg Klanderman implemented
> -toggling of marked files, setting of CVS command flags via prefix
> -arguments, updated the XEmacs support, updated the manual, and fixed
> +Greg Klanderman implemented toggling of marked files, setting of CVS
> +command flags via prefix arguments, updated the manual, and fixed
>  numerous bugs.

To me, this is akin to rewriting history: those people contributed to
the development in the past, and we should keep the attributions out
of respect for their work.

I have no problem with other changes you proposed.

Thanks.